import { Component, h, Host, Prop } from '@stencil/core';
export class ResourceMeta {
    render() {
        return (h(Host, { class: "resource-meta" }, this.tags.map(tag => (h("span", { class: "ui-heading ui-heading-6 | tag" }, tag)))));
    }
    static get is() { return "resource-meta"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() { return {
        "$": ["resource-meta.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["resource-meta.css"]
    }; }
    static get properties() { return {
        "tags": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "string[]",
                "resolved": "string[]",
                "references": {}
            },
            "required": true,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            }
        }
    }; }
}
